Library:
 * Better error handling.
 * Extract:
    * Add options API to control whether permissions, timestamp are set.
    * Creation of parent directories on extract (+optional)
 * Add LHAFile convenience class.
 * Compression and LHA file generation.
 * Correctly handle LHmelt backwards directory ordering.
 * Add test archives generated by:
    * Microsoft LZH folder add-in for Windows (if possible?)
    * UNLHA32
 * Decompressors for obscure algorithms:
    * -lh2-, -lh3- (experimental LHA?)
    * LHark -lh7- (modified -lh5-)
    * -lx1- (unlha32 obscure/experimental?)

Command line tool:
 * Create/update/modify archives.

Testing:
 * Valgrind.
 * Improve coverage.

